# Tag

## propTypes

```
Tag.propTypes = {
    disabled: PropTypes.bool,
    onClose: PropTypes.func,
    id: PropTypes.string,
    isClosable: PropTypes.bool,
    label: PropTypes.string,
    labelMaxWidth: PropTypes.number,
    showValue: PropTypes.bool,
    subClass: PropTypes.string,
    value: PropTypes.oneOfType([
        PropTypes.string,
        PropTypes.number
    ])
};
```

## defaultProps

```
Tag.defaultProps = {
    disabled: false,
    onClose: noop,
    id: `tsdevTag-${Uuid.v4()}`,
    isClosable: true,
    label: 'Tag',
    labelMaxWidth: 130,
    showValue: true,
    subClass: '',
    value: '123'
};
```
## Functions
```
onClose(item) => {
    console.log(item) // closed Tag item
};

```
